Issue 76820 - in vba mode comparison of objects with default params is bogus
Summary: in vba mode comparison of objects with default params is bogus
Alias: None
Product: General
Classification: Code
Component: scripting (show other issues)
Version: OOo 2.2 RC4
Hardware: All All
: P3 Trivial (vote)
Target Milestone: OOo 2.4
Assignee: sled10guy
QA Contact: issues@framework
Depends on:
Reported: 2007-05-01 18:40 UTC by noel.power
Modified: 2009-07-20 14:55 UTC (History)
1 user (show)

See Also:
Issue Type: PATCH
Latest Confirmation in: ---
Developer Difficulty: ---

test document (24.00 KB, application/
2007-05-01 18:41 UTC, noel.power
no flags Details
patch file (1.27 KB, patch)
2007-05-01 18:42 UTC, noel.power
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description noel.power 2007-05-01 18:40:25 UTC
comparing objects with default paramaters gives unexpected results,

e.g. if cell a1 = "test"
     &  cell b1 = "test"

more that likely the result of

MsgBox ( Range("a1") = Range("a2") ) 

will be false


MsgBox ( Range("a1").Value = Range("a2").Value ) 

will yield the correct result ( basically due to lazy loading on the underlying
property not getting triggered under certain circumstances )
Comment 1 noel.power 2007-05-01 18:41:08 UTC
adjust milestone
add to cws-npower7
Comment 2 noel.power 2007-05-01 18:41:49 UTC
Created attachment 44787 [details]
test document
Comment 3 noel.power 2007-05-01 18:42:30 UTC
Created attachment 44788 [details]
patch file
Comment 4 noel.power 2007-05-05 13:15:31 UTC
Comment 5 noel.power 2007-07-11 12:49:53 UTC
for qa
Comment 6 noel.power 2007-08-07 10:17:26 UTC
change target
Comment 7 sled10guy 2007-08-28 16:23:21 UTC
Ran test document (defaultparamtest.xls) on released SLED10 SP1 OOo 2.1.14,
Windows OOo 2.1 (Build 2007-06-04) and cws-npower7-m217 and Microsoft Office
2007. In each case the following output was displayed in a msgbox when the "Push
me" button was pushed:
• Passed
Comment 8 thorsten.ziehm 2009-07-20 14:55:05 UTC
This issue is closed automatically and wasn't rechecked in a current version of
OOo. The fixed issue should be integrated in OOo since more than half a year. If
you think this issue isn't fixed in a current version (OOo 3.1), please reopen
it and change the field 'Target Milestone' accordingly.

If you want to download a current version of OOo =>
If you want to know more about the handling of fixed/verified issues =>